umbrello 2.39.2 Umbrello UML Modeller is a Unified Modelling Language (UML) diagram program based on KDE Technology

- Main Page
- Related Pages
- Topics
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
Model_Utils::NameAndType Struct Reference

`#include <model_utils.h>`

## Public Member Functions
| NameAndType ()
| NameAndType (QString name, UMLObject *type, Uml::ParameterDirection::Enum direction=Uml::ParameterDirection::In, QString initialValue=QString())

## Public Attributes
QString | m_name
| < Data structure filled by parseAttribute().
UMLObject * | m_type
Uml::ParameterDirection::Enum | m_direction
QString | m_initialValue

## Constructor & Destructor Documentation

## ◆ NameAndType() [1/2]

Model_Utils::NameAndType::NameAndType | ( |  | ) |
| inline

## ◆ NameAndType() [2/2]

Model_Utils::NameAndType::NameAndType | ( | QString | name,
|  | UMLObject * | type,
|  | Uml::ParameterDirection::Enum | direction = Uml::ParameterDirection::In,
|  | QString | initialValue = QString() )
| inline

## Member Data Documentation

## ◆ m_direction

Uml::ParameterDirection::Enum Model_Utils::NameAndType::m_direction

## ◆ m_initialValue

QString Model_Utils::NameAndType::m_initialValue

## ◆ m_name

QString Model_Utils::NameAndType::m_name

< Data structure filled by parseAttribute().

## ◆ m_type

UMLObject* Model_Utils::NameAndType::m_type

The documentation for this struct was generated from the following file:

- umbrello/model_utils.h